---
gitea: none
include_toc: true
---

# Variables
## HTTP(s) proxy server overview and configuration (env_proxy)

A proxy server acts as an intermediary gateway between a client and another
HTTP(s) server, such as the Internet.

It makes service requests on behalf of a local client and allows the client
to make network connections to network services outside its own network.


| Parameter                                                                                                                                                                                                                                                  | Comment                                                                                                                                                                                                                                                    |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **host**<br/>`mandatory`<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/stove/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                                                                                          | The proxy server’s address.<br/>Specifies the hostname of proxy server to enable proxy server access to all of your HTTP(s) requests. .<br/>**Example:** proxy.silique.fr                                                                                  |
| **port**<br/>`mandatory`<br/>**Type:** [`port`](https://forge.cloud.silique.fr/stove/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                                                                                                | The proxy server's port.<br/>**Default:** 3128                                                                                                                                                                                                             |
| **no_proxy**<br/>`multiple`<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/stove/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                                                                                       | Exclude proxy server.<br/>Network address(es), network address range(s) and domains to exclude from using the proxy when initiating connection(s). .<br/>**Examples:** 192.168.1.1, 192.168.10.0/24, www.silique.fr, .internal.silique.fr                  |

# Example with mandatories variables

```
env_proxy:
  host: proxy.silique.fr
```

# Example with all variables

```
env_proxy:
  host: proxy.silique.fr
  port: '3128'
  no_proxy:
  - 192.168.1.1
  - 192.168.10.0/24
  - www.silique.fr
  - .internal.silique.fr
```
